import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取师傅列表
export function workerApplyList(data) {
  return request({
    url: `/workerApply/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function workerApplyListExport(data, name) {
  return postBlob({
    url: '/workerApply/list/export',
    data,
    name
  })
}

export function workerApplyDetail(params) {
  return request({
    url: '/workerApply/detail',
    method: 'post',
    params: params
  })
}

export function workerApplyCount(params) {
  return request({
    url: '/workerApply/count',
    method: 'post',
    params: params
  })
}

export function workerApplyWebsitAppeal(data) {
  return request({
    url: '/workerApply/websitAppeal',
    method: 'post',
    data: data
  })
}

export function workerApplyAppeal(data) {
  return request({
    url: '/workerApply/appeal',
    method: 'post',
    data: data
  })
}
